GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::algorithm::InteriorPointLine Class Reference

Computes a point in the interior of an linear geometry. More...

`#include <InteriorPointLine.h>`

## Public Member Functions
| InteriorPointLine (const geom::Geometry *g)
bool | getInteriorPoint (geom::Coordinate &ret) const

## Detailed Description

Computes a point in the interior of an linear geometry.

## Algorithm

- Find an interior vertex which is closest to the centroid of the linestring.
- If there is no interior vertex, find the endpoint which is closest to the centroid.

The documentation for this class was generated from the following file:

- InteriorPointLine.h